Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

[1.5.x] Fixed #19752 - Changed Postgres version numbers to 9.x to avo…

…id having to update them each minor release.

Backport of 8d17114 from master.
  • Loading branch information...
commit 0fa827c55fd2aed38e986f53493b5462a1e2d350 1 parent da8c789
@timgraham timgraham authored
View
12 docs/ref/contrib/gis/install/index.txt
@@ -392,7 +392,7 @@ GeoDjango on Windows.
.. note::
These instructions assume that you are using 32-bit versions of
- all programs. While 64-bit versions of Python and PostgreSQL 9.0
+ all programs. While 64-bit versions of Python and PostgreSQL 9.x
are available, 64-bit versions of spatial libraries, like
GEOS and GDAL, are not yet provided by the :ref:`OSGeo4W` installer.
@@ -415,7 +415,7 @@ __ http://python.org/download/
PostgreSQL
^^^^^^^^^^
-First, download the latest `PostgreSQL 9.0 installer`__ from the
+First, download the latest `PostgreSQL 9.x installer`__ from the
`EnterpriseDB`__ Web site. After downloading, simply run the installer,
follow the on-screen directions, and keep the default options unless
you know the consequences of changing them.
@@ -435,7 +435,7 @@ install :ref:`postgisasb`.
If installed successfully, the PostgreSQL server will run in the
background each time the system as started as a Windows service.
- A :menuselection:`PostgreSQL 9.0` start menu group will created
+ A :menuselection:`PostgreSQL 9.x` start menu group will created
and contains shortcuts for the ASB as well as the 'SQL Shell',
which will launch a ``psql`` command window.
@@ -448,10 +448,10 @@ PostGIS
^^^^^^^
From within the Application Stack Builder (to run outside of the installer,
-:menuselection:`Start --> Programs --> PostgreSQL 9.0`), select
-:menuselection:`PostgreSQL Database Server 9.0 on port 5432` from the drop down
+:menuselection:`Start --> Programs --> PostgreSQL 9.x`), select
+:menuselection:`PostgreSQL Database Server 9.x on port 5432` from the drop down
menu. Next, expand the :menuselection:`Categories --> Spatial Extensions` menu
-tree and select :menuselection:`PostGIS 1.5 for PostgreSQL 9.0`.
+tree and select :menuselection:`PostGIS 1.5 for PostgreSQL 9.x`.
After clicking next, you will be prompted to select your mirror, PostGIS
will be downloaded, and the PostGIS installer will begin. Select only the
View
10 docs/ref/contrib/gis/install/postgis.txt
@@ -56,10 +56,10 @@ Post-installation
.. _spatialdb_template:
.. _spatialdb_template91:
-Creating a spatial database with PostGIS 2.0 and PostgreSQL 9.1
----------------------------------------------------------------
+Creating a spatial database with PostGIS 2.0 and PostgreSQL 9.1+
+----------------------------------------------------------------
-PostGIS 2 includes an extension for Postgres 9.1 that can be used to enable
+PostGIS 2 includes an extension for Postgres 9.1+ that can be used to enable
spatial functionality::
$ createdb <db name>
@@ -166,8 +166,8 @@ Managing the database
---------------------
To administer the database, you can either use the pgAdmin III program
-(:menuselection:`Start --> PostgreSQL 9.0 --> pgAdmin III`) or the
-SQL Shell (:menuselection:`Start --> PostgreSQL 9.0 --> SQL Shell`).
+(:menuselection:`Start --> PostgreSQL 9.x --> pgAdmin III`) or the
+SQL Shell (:menuselection:`Start --> PostgreSQL 9.x --> SQL Shell`).
For example, to create a ``geodjango`` spatial database and user, the following
may be executed from the SQL Shell as the ``postgres`` user::
Please sign in to comment.
Something went wrong with that request. Please try again.